JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Types | Public Member Functions | List of all members
Json::ValueConstMembersIterator Class Reference

Iterator adapter for range-based for loops. More...

`#include <json/value.h>`

Collaboration diagram for Json::ValueConstMembersIterator:

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = ConstMemberProxy
using | difference_type = int
using | pointer = ConstMemberProxy*
using | reference = ConstMemberProxy

## Public Member Functions
| ValueConstMembersIterator ()=default
| ValueConstMembersIterator (ValueConstIterator const &iter)
ValueConstMembersIterator & | operator++ ()
ValueConstMembersIterator | operator++ (int)
bool | operator== (ValueConstMembersIterator const &other) const
bool | operator!= (ValueConstMembersIterator const &other) const
ConstMemberProxy | operator* () const

## Detailed Description

Iterator adapter for range-based for loops.

Definition at line 1099 of file value.h.

## Member Typedef Documentation

## ◆ difference_type

using Json::ValueConstMembersIterator::difference_type = int

Definition at line 1103 of file value.h.

## ◆ iterator_category

using Json::ValueConstMembersIterator::iterator_category = std::forward_iterator_tag

Definition at line 1101 of file value.h.

## ◆ pointer

using Json::ValueConstMembersIterator::pointer = ConstMemberProxy*

Definition at line 1104 of file value.h.

## ◆ reference

using Json::ValueConstMembersIterator::reference = ConstMemberProxy

Definition at line 1105 of file value.h.

## ◆ value_type

using Json::ValueConstMembersIterator::value_type = ConstMemberProxy

Definition at line 1102 of file value.h.

## Constructor & Destructor Documentation

## ◆ ValueConstMembersIterator() [1/2]

Json::ValueConstMembersIterator::ValueConstMembersIterator | ( |  | ) |
| default

Referenced by operator!=(), operator++(), operator++(), and operator==().

Here is the caller graph for this function:

## ◆ ValueConstMembersIterator() [2/2]

Json::ValueConstMembersIterator::ValueConstMembersIterator | ( | ValueConstIterator const & | iter | ) |
| inlineexplicit

Definition at line 1108 of file value.h.

## Member Function Documentation

## ◆ operator!=()

bool Json::ValueConstMembersIterator::operator!= | ( | ValueConstMembersIterator const & | other | ) | const
| inline

Definition at line 1123 of file value.h.

References ValueConstMembersIterator().

## ◆ operator*()

ConstMemberProxy Json::ValueConstMembersIterator::operator* | ( |  | ) | const
| inline

Definition at line 1126 of file value.h.

## ◆ operator++() [1/2]

ValueConstMembersIterator & Json::ValueConstMembersIterator::operator++ | ( |  | ) |
| inline

Definition at line 1111 of file value.h.

References ValueConstMembersIterator().

## ◆ operator++() [2/2]

ValueConstMembersIterator Json::ValueConstMembersIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 1115 of file value.h.

References ValueConstMembersIterator().

## ◆ operator==()

bool Json::ValueConstMembersIterator::operator== | ( | ValueConstMembersIterator const & | other | ) | const
| inline

Definition at line 1120 of file value.h.

References ValueConstMembersIterator().

The documentation for this class was generated from the following file:

- include/json/value.h